:root {
    --company-list-grid-tiles-per-row: 3;
}

.company-list--grid {
    display: grid;
    gap: 2rem;
}
.company-list__item {
    cursor: pointer;
    border-width: 2px;
    border-style: solid;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);
}
.company-list--grid .company-list__item {
    border: unset;
    border-top-right-radius: unset;
}
.company-list__footer {
    background: unset;
    border-top: unset;
}
.company-list__image {
    padding: 2rem;
    transition: 0.3s;
    transform: scale(1.05,1.05);
}
.company-list__item:hover .company-list__image {
    transform: scale(1,1);
}
.company-list__info {
    font-size: 0.875rem;
    background: #e5edf6;
    padding: 2rem;
}
.company-list__info b,
.company-list__info strong {
    font-size: 1rem;
}
.company-list__info p {
    margin-bottom: 1rem;
    font-size: inherit;
}
.company-list__info p:last-of-type {
    margin-bottom: 0;
}
.company-list__info a {
    display: inline-block;
}
.company-list__info .table {
    margin-bottom: 1rem;
}
.company-list__info .table td:first-child {
    padding-left: 0;
}
.company-list__info .table td {
    border: unset;
}
.company-list__link {
    background: #0079BA;
    padding: 0.5rem 2rem 0.5rem 4rem;
    font-size: 1rem;
    font-weight: 500;
    color: #fff;
    width: 100%;
    text-align: left;
    transform: none !important;
    border-radius: 0 0 1rem 0;
    margin: 0;
}
.company-list__link:hover {
    color: #fff;
    box-shadow: none;
    background: #006CA6;
}

.modal-company .modal-header {
    padding: 0;
    border: unset;
}
.modal-company .modal-body {
    padding-top: 0;
}
.modal-company .close,
.modal-company .btn-close {
    position: absolute;
    top: 0.25rem;
    right: 1rem;
    z-index: 1;
    font-size: 2rem;
    background: #fff;
    opacity: 1 !important;
}
.modal-company .close:hover,
.modal-company .btn-close:hover {
    color: #047bba;
}

.company-list--collapse {
    display: grid;
    gap: 2rem;
}
.company-list--collapse .company-list__item:not(.active) .company-list__info {
    min-height: 300px;
    border-radius: 1.5rem 0 1.25rem 0;
}
.company-list--collapse .company-list__item {
    border-radius: 0 0 1.5rem 0;
    border-color: #e5edf6;
}
.company-list--collapse .card-body,
.company-list--collapse .company-list__image {
    padding: 2rem 4rem;
    background: unset;
}

.company-list--collapse .company-list__link {
    display: none;
}
.company-list--collapse .company-list__item.active .company-list__link {
    display: block;
}
.company-list--collapse .company-list__item {
    box-shadow: unset;
}

.company-list__readmore,
.company-list__readless {
    position: absolute;
    bottom: 1rem;
    right: 2rem;
    opacity: 0;
    transition: 0.3s;
    z-index: 1;
    display: none;
}
.company-list--collapse .company-list__item:not(.active):hover .company-list__readmore {
    opacity: 1;
    display: inline-block;
}
.company-list--collapse .company-list__item.active .company-list__readless {
    opacity: 1;
    display: inline-block;
}

@media (min-width: 567px) {
    .company-list--grid {
        grid-template-columns: repeat(2, 1fr);
    }
}
@media (min-width: 768px) {
    .company-list--grid {
        grid-template-columns: repeat(var(--company-list-grid-tiles-per-row), 1fr);
    }
    .company-list__footer {
        padding-top: 1.5rem;
        padding-bottom: 1.5rem;
    }
    .modal-company .company-list__description,
    .modal-company .company-list__modal-image-wrap {
        padding-right: 4em;
    }
}
@media (min-width: 1440px) {
    .company-list__info {
        padding: 3rem 4rem;
    }
    .modal-company .modal-body {
        padding-right: 0;
        padding-left: 4rem;
    }
}
